%global fontname ucs-fixed

Name: %{fontname}-fonts
Version: 0.3
Release: 1%{?dist}
License: Lucida and MIT and Public Domain
Source0: bitmap-fonts-%{version}.tar.bz2
Source1: fixfont-3.5.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch: noarch
Group: User Interface/X
Summary: Selected set of bitmap fonts
Requires(pre): fontconfig
BuildRequires: xorg-x11-font-utils
BuildRequires: fontpackages-devel

%description
The usc-fixed-fonts package provides a number of bitmap fonts selected\
from the http://www.cl.cam.ac.uk/~mgk25/ucs-fonts.html designed for use locations such as\
terminals.


%prep
%setup -q -n bitmap-fonts-%{version} -a1

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

cd fixfont-3.5

make install DESTDIR=$RPM_BUILD_ROOT

mv $RPM_BUILD_ROOT/usr/share/fonts/bitmap-fonts %{buildroot}%{_fontdir}

rm %{buildroot}%{_fontdir}/lut*.pcf %{buildroot}%{_fontdir}/fang*.pcf %{buildroot}%{_fontdir}/cons*.pcf


%clean
rm -rf $RPM_BUILD_ROOT

%_font_pkg  [0-9]*

%doc README LU_LEGALNOTICE

%changelog
* Thu Sep 29 2009 Pravin Satpute <psatpute@redhat.com> - 0.3-1
- initial packaging
- these fonts was there in bitmap-fonts package previously, packaging it separate as per merger review suggetion.
